Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.PresentationType=function(){
};
Telerik.Web.UI.Calendar.PresentationType.prototype={Interactive:1,Preview:2};
Telerik.Web.UI.Calendar.PresentationType.registerEnum("Telerik.Web.UI.Calendar.PresentationType",false);
Telerik.Web.UI.Calendar.FirstDayOfWeek=function(){
};
Telerik.Web.UI.Calendar.FirstDayOfWeek.prototype={Monday:1,Tuesday:2,Wednesday:3,Thursday:4,Friday:5,Saturday:6,Sunday:7};
Telerik.Web.UI.Calendar.FirstDayOfWeek.registerEnum("Telerik.Web.UI.Calendar.FirstDayOfWeek",false);
Telerik.Web.UI.Calendar.Orientation=function(){
};
Telerik.Web.UI.Calendar.Orientation.prototype={RenderInRows:1,RenderInColumns:2};
Telerik.Web.UI.Calendar.Orientation.registerEnum("Telerik.Web.UI.Calendar.Orientation",false);
Telerik.Web.UI.Calendar.AutoPostBackControl=function(){
};
Telerik.Web.UI.Calendar.AutoPostBackControl.prototype={None:0,Both:1,TimeView:2,Calendar:3};
Telerik.Web.UI.Calendar.AutoPostBackControl.registerEnum("Telerik.Web.UI.Calendar.AutoPostBackControl",false);;Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.CalendarClickEventArgs=function(_1,_2){
Telerik.Web.UI.CalendarClickEventArgs.initializeBase(this);
this._domElement=_1;
this._index=_2;
};
Telerik.Web.UI.CalendarClickEventArgs.prototype={get_domElement:function(){
return this._domElement;
},get_index:function(){
return this._index;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarClickEventArgs);
Telerik.Web.UI.CalendarClickEventArgs.registerClass("Telerik.Web.UI.CalendarClickEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDayRenderEventArgs=function(_3,_4,_5){
Telerik.Web.UI.CalendarDayRenderEventArgs.initializeBase(this);
this._cell=_3;
this._date=_4;
this._renderDay=_5;
};
Telerik.Web.UI.CalendarDayRenderEventArgs.prototype={get_cell:function(){
return this._cell;
},get_date:function(){
return this._date;
},get_renderDay:function(){
return this._renderDay;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarDayRenderEventArgs);
Telerik.Web.UI.CalendarDayRenderEventArgs.registerClass("Telerik.Web.UI.CalendarDayRenderEventArgs",Sys.EventArgs);
Telerik.Web.UI.CalendarDateClickEventArgs=function(_6,_7){
Telerik.Web.UI.CalendarDateClickEventArgs.initializeBase(this);
this._domEvent=_6;
this._renderDay=_7;
};
Telerik.Web.UI.CalendarDateClickEventArgs.prototype={get_domEvent:function(){
return this._domEvent;
},get_renderDay:function(){
return this._renderDay;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarDateClickEventArgs);
Telerik.Web.UI.CalendarDateClickEventArgs.registerClass("Telerik.Web.UI.CalendarDateClickEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDateSelectingEventArgs=function(_8,_9){
Telerik.Web.UI.CalendarDateSelectingEventArgs.initializeBase(this);
this._isSelecting=_8;
this._renderDay=_9;
};
Telerik.Web.UI.CalendarDateSelectingEventArgs.prototype={get_isSelecting:function(){
return this._isSelecting;
},get_renderDay:function(){
return this._renderDay;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarDateSelectingEventArgs);
Telerik.Web.UI.CalendarDateSelectingEventArgs.registerClass("Telerik.Web.UI.CalendarDateSelectingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarDateSelectedEventArgs=function(_a){
Telerik.Web.UI.CalendarDateSelectedEventArgs.initializeBase(this);
this._renderDay=_a;
};
Telerik.Web.UI.CalendarDateSelectedEventArgs.prototype={get_renderDay:function(){
return this._renderDay;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarDateSelectedEventArgs);
Telerik.Web.UI.CalendarDateSelectedEventArgs.registerClass("Telerik.Web.UI.CalendarDateSelectedEventArgs",Sys.EventArgs);
Telerik.Web.UI.CalendarViewChangingEventArgs=function(_b){
Telerik.Web.UI.CalendarViewChangingEventArgs.initializeBase(this);
this._step=_b;
};
Telerik.Web.UI.CalendarViewChangingEventArgs.prototype={get_step:function(){
return this._step;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarViewChangingEventArgs);
Telerik.Web.UI.CalendarViewChangingEventArgs.registerClass("Telerik.Web.UI.CalendarViewChangingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.CalendarViewChangedEventArgs=function(_c){
Telerik.Web.UI.CalendarViewChangedEventArgs.initializeBase(this);
this._step=_c;
};
Telerik.Web.UI.CalendarViewChangedEventArgs.prototype={get_step:function(){
return this._step;
}};
$telerik.makeCompatible(Telerik.Web.UI.CalendarViewChangedEventArgs);
Telerik.Web.UI.CalendarViewChangedEventArgs.registerClass("Telerik.Web.UI.CalendarViewChangedEventArgs",Sys.EventArgs);
Telerik.Web.UI.DatePickerPopupOpeningEventArgs=function(_d,_e){
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.initializeBase(this);
this._popupControl=_d;
this._cancelCalendarSynchronization=_e;
};
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.prototype={get_popupControl:function(){
return this._popupControl;
},get_cancelCalendarSynchronization:function(){
return this._cancelCalendarSynchronization;
},set_cancelCalendarSynchronization:function(_f){
if(this._cancelCalendarSynchronization!==_f){
this._cancelCalendarSynchronization=_f;
}
}};
$telerik.makeCompatible(Telerik.Web.UI.DatePickerPopupOpeningEventArgs);
Telerik.Web.UI.DatePickerPopupOpeningEventArgs.registerClass("Telerik.Web.UI.DatePickerPopupOpeningEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.DatePickerPopupClosingEventArgs=function(_10){
Telerik.Web.UI.DatePickerPopupClosingEventArgs.initializeBase(this);
this._popupControl=_10;
};
Telerik.Web.UI.DatePickerPopupClosingEventArgs.prototype={get_popupControl:function(){
return this._popupControl;
}};
$telerik.makeCompatible(Telerik.Web.UI.DatePickerPopupClosingEventArgs);
Telerik.Web.UI.DatePickerPopupClosingEventArgs.registerClass("Telerik.Web.UI.DatePickerPopupClosingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.TimeViewSelectedEventArgs=function(_11,_12){
Telerik.Web.UI.TimeViewSelectedEventArgs.initializeBase(this);
this._newTime=_11;
this._oldTime=_12;
};
Telerik.Web.UI.TimeViewSelectedEventArgs.prototype={get_newTime:function(){
return this._newTime;
},get_oldTime:function(){
return this._oldTime;
}};
$telerik.makeCompatible(Telerik.Web.UI.TimeViewSelectedEventArgs);
Telerik.Web.UI.TimeViewSelectedEventArgs.registerClass("Telerik.Web.UI.TimeViewSelectedEventArgs",Sys.EventArgs);;if(typeof (window["RadCalendarNamespace"])=="undefined"){
window["RadCalendarNamespace"]={};
}
Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.Popup=function(){
this.DomElement=null;
this.ExcludeFromHiding=[];
};
Telerik.Web.UI.Calendar.Popup.zIndex=50000;
Telerik.Web.UI.Calendar.Popup.prototype={CreateContainer:function(){
var _1=document.createElement("DIV");
var _2=RadHelperUtils.GetStyleObj(_1);
_2.position="absolute";
if(navigator.userAgent.match(/Safari/)){
_2.visibility="hidden";
_2.left="-1000px";
}else{
_2.display="none";
}
_2.border="0";
_2.zIndex=Telerik.Web.UI.Calendar.Popup.zIndex;
Telerik.Web.UI.Calendar.Popup.zIndex+=2;
_1.onclick=function(e){
if(!e){
e=window.event;
}
e.returnValue=false;
e.cancelBubble=true;
if(e.stopPropagation){
e.stopPropagation();
}
return false;
};
document.body.insertBefore(_1,document.body.firstChild);
return _1;
},RemoveScriptsOnOpera:function(_4){
if(window.opera){
var _5=_4.getElementsByTagName("*");
for(var i=0;i<_5.length;i++){
var _7=_5[i];
if(_7.tagName!=null&&_7.tagName.toLowerCase()=="script"){
_7.parentNode.removeChild(_7);
}
}
}
},Show:function(x,y,_a,_b){
if(this.IsVisible()){
this.Hide();
}
this.ExitFunc=("function"==typeof (_b)?_b:null);
var _c=this.DomElement;
if(!_c){
_c=this.CreateContainer();
this.DomElement=_c;
}
if(_a){
_c.innerHTML="";
if(_a.nextSibling){
this.Sibling=_a.nextSibling;
}
this.Parent=_a.parentNode;
this.RemoveScriptsOnOpera(_a);
_c.appendChild(_a);
if(navigator.userAgent.match(/Safari/)&&_a.style.visibility=="hidden"){
_a.style.visibility="visible";
_a.style.position="";
_a.style.left="";
}else{
if(_a.style.display=="none"){
_a.style.display="";
}
}
}
var _d=RadHelperUtils.GetStyleObj(_c);
_d.left=parseInt(x)+"px";
_d.top=parseInt(y)+"px";
if(navigator.userAgent.match(/Safari/)){
_d.visibility="visible";
}else{
_d.display="";
}
RadHelperUtils.ProcessIframe(_c,true);
this.OnClickFunc=Telerik.Web.UI.Calendar.Utils.AttachMethod(this.OnClick,this);
this.OnKeyPressFunc=Telerik.Web.UI.Calendar.Utils.AttachMethod(this.OnKeyPress,this);
var _e=this;
window.setTimeout(function(){
RadHelperUtils.AttachEventListener(document,"click",_e.OnClickFunc);
RadHelperUtils.AttachEventListener(document,"keypress",_e.OnKeyPressFunc);
},300);
},Hide:function(_f){
var div=this.DomElement;
var _11=RadHelperUtils.GetStyleObj(div);
if(div){
if(navigator.userAgent.match(/Safari/)){
_11.visibility="hidden";
_11.position="absolute";
_11.left="-1000px";
}else{
_11.display="none";
}
_11=null;
if(div.childNodes.length!=0){
if(navigator.userAgent.match(/Safari/)){
div.childNodes[0].style.visibility="hidden";
div.childNodes[0].style.position="absolute";
div.childNodes[0].style.left="-1000px";
}else{
div.childNodes[0].style.display="none";
}
}
var _12=div.childNodes[0];
if(_12!=null){
div.removeChild(_12);
if(this.Parent!=null||this.Sibling!=null){
if(this.Sibling!=null){
var _13=this.Sibling.parentNode;
if(_13!=null){
_13.insertBefore(_12,this.Sibling);
}
}else{
this.Parent.appendChild(_12);
}
}
if(navigator.userAgent.match(/Safari/)){
RadHelperUtils.GetStyleObj(_12).visibility="hidden";
RadHelperUtils.GetStyleObj(_12).position="absolute";
RadHelperUtils.GetStyleObj(_12).left="-1000px";
}else{
RadHelperUtils.GetStyleObj(_12).display="none";
}
}
RadHelperUtils.ProcessIframe(div,false);
}
if(this.OnClickFunc!=null){
RadHelperUtils.DetachEventListener(document,"click",this.OnClickFunc);
this.OnClickFunc=null;
}
if(this.OnKeyPressFunc!=null){
RadHelperUtils.DetachEventListener(document,"keydown",this.OnKeyPressFunc);
this.OnKeyPressFunc=null;
}
if(_f&&this.ExitFunc){
this.ExitFunc();
}
},IsVisible:function(){
var div=this.DomElement;
var _15=RadHelperUtils.GetStyleObj(div);
if(div){
if(navigator.userAgent.match(/Safari/)){
return (_15.visibility!="hidden");
}
return (_15.display!="none");
}
return false;
},IsChildOf:function(_16,_17){
while(_16.parentNode){
if(_16.parentNode==_17){
return true;
}
_16=_16.parentNode;
}
return false;
},ShouldHide:function(e){
var _19=e.target;
if(_19==null){
_19=e.srcElement;
}
for(var i=0;i<this.ExcludeFromHiding.length;i++){
if(this.ExcludeFromHiding[i]==_19){
return false;
}
if(this.IsChildOf(_19,this.ExcludeFromHiding[i])){
return false;
}
}
return true;
},OnKeyPress:function(e){
if(!e){
e=window.event;
}
if(e.keyCode==27){
this.Hide();
}
},OnClick:function(e){
if(!e){
e=window.event;
}
if(this.ShouldHide(e)){
this.Hide();
}
}};
Telerik.Web.UI.Calendar.Popup.registerClass("Telerik.Web.UI.Calendar.Popup");;Type.registerNamespace("Telerik.Web.UI.Calendar");
Telerik.Web.UI.Calendar.Utils={COLUMN_HEADER:1,VIEW_HEADER:2,ROW_HEADER:3,FIRST_DAY:0,FIRST_FOUR_DAY_WEEK:2,FIRST_FULL_WEEK:1,DEFAULT:7,FRIDAY:5,MONDAY:1,SATURDAY:6,SUNDAY:0,THURSDAY:4,TUESDAY:2,WEDNESDAY:3,RENDERINROWS:1,RENDERINCOLUMNS:2,NONE:4,RECURRING_DAYINMONTH:1,RECURRING_DAYANDMONTH:2,RECURRING_WEEK:4,RECURRING_WEEKANDMONTH:8,RECURRING_TODAY:16,RECURRING_HOLIDAY:32,RECURRING_NONE:64,AttachMethod:function(_1,_2){
return function(){
return _1.apply(_2,arguments);
};
},GetDateFromId:function(id){
var _4=id.split("_");
if(_4.length<2){
return null;
}
var _5=[parseInt(_4[_4.length-3]),parseInt(_4[_4.length-2]),parseInt(_4[_4.length-1])];
return _5;
},GetRenderDay:function(_6,_7){
var _8=Telerik.Web.UI.Calendar.Utils.GetDateFromId(_7);
var _9=_6.RenderDays.Get(_8);
return _9;
},FindTarget:function(e,_b){
var _c;
if(e&&e.target){
_c=e.target;
}else{
if(window.event&&window.event.srcElement){
_c=window.event.srcElement;
}
}
if(!_c){
return null;
}
if(_c.tagName==null&&_c.nodeType==3&&(navigator.userAgent.match(/Safari/))){
_c=_c.parentNode;
}
while(_c!=null&&_c.tagName.toLowerCase()!="body"){
if((_c.tagName.toLowerCase()=="th"||_c.tagName.toLowerCase()=="td")&&Telerik.Web.UI.Calendar.Utils.FindTableElement(_c)!=null&&Telerik.Web.UI.Calendar.Utils.FindTableElement(_c).id.indexOf(_b)!=-1){
break;
}
_c=_c.parentNode;
}
if(_c.tagName==null||(_c.tagName.toLowerCase()!="td"&&_c.tagName.toLowerCase()!="th")){
return null;
}
return _c;
},FindTableElement:function(_d){
while(_d!=null&&_d.tagName.toLowerCase()!="table"){
_d=_d.parentNode;
}
return _d;
},GetElementPosition:function(el){
var _f=null;
var pos={x:0,y:0};
var box;
if(el.getBoundingClientRect){
box=el.getBoundingClientRect();
var _12=document.documentElement.scrollTop||document.body.scrollTop;
var _13=document.documentElement.scrollLeft||document.body.scrollLeft;
pos.x=box.left+_13-2;
pos.y=box.top+_12-2;
return pos;
}else{
if(document.getBoxObjectFor){
box=document.getBoxObjectFor(el);
pos.x=box.x-2;
pos.y=box.y-2;
}else{
pos.x=el.offsetLeft;
pos.y=el.offsetTop;
_f=el.offsetParent;
if(_f!=el){
while(_f){
pos.x+=_f.offsetLeft;
pos.y+=_f.offsetTop;
_f=_f.offsetParent;
}
}
}
}
if(window.opera){
_f=el.offsetParent;
while(_f&&_f.tagName!="BODY"&&_f.tagName!="HTML"){
pos.x-=_f.scrollLeft;
pos.y-=_f.scrollTop;
_f=_f.offsetParent;
}
}else{
_f=el.parentNode;
while(_f&&_f.tagName!="BODY"&&_f.tagName!="HTML"){
pos.x-=_f.scrollLeft;
pos.y-=_f.scrollTop;
_f=_f.parentNode;
}
}
return pos;
},MergeStyles:function(_14,_15){
if(_14.lastIndexOf(";",_14.length)!=_14.length-1){
_14+=";";
}
var _16=_15.split(";");
var _17=_14;
for(var i=0;i<_16.length-1;i++){
var _19=_16[i].split(":");
if(_14.indexOf(_19[0])==-1){
_17+=_16[i]+";";
}
}
return _17;
},MergeClassName:function(_1a,_1b){
var p=_1b.split(" ");
if(p.length==1&&p[0]==""){
p=[];
}
var l=p.length;
for(var i=0;i<l;i++){
if(p[i]==_1a){
return _1b;
}
}
p[p.length]=_1a;
return p.join(" ");
}};;if(typeof (RadHelperUtils)=="undefined"){
var RadHelperUtils={IsDefined:function(_1){
if((typeof (_1)!="undefined")&&(_1!=null)){
return true;
}
return false;
},StringStartsWith:function(_2,_3){
if(typeof (_3)!="string"){
return false;
}
return (0==_2.indexOf(_3));
},AttachEventListener:function(_4,_5,_6){
var _7=RadHelperUtils.CompatibleEventName(_5);
if(typeof (_4.addEventListener)!="undefined"){
_4.addEventListener(_7,_6,false);
}else{
if(_4.attachEvent){
_4.attachEvent(_7,_6);
}else{
_4["on"+_5]=_6;
}
}
},DetachEventListener:function(_8,_9,_a){
var _b=RadHelperUtils.CompatibleEventName(_9);
if(typeof (_8.removeEventListener)!="undefined"){
_8.removeEventListener(_b,_a,false);
}else{
if(_8.detachEvent){
_8.detachEvent(_b,_a);
}else{
_8["on"+_9]=null;
}
}
},CompatibleEventName:function(_c){
_c=_c.toLowerCase();
if(document.addEventListener){
if(RadHelperUtils.StringStartsWith(_c,"on")){
return _c.substr(2);
}else{
return _c;
}
}else{
if(document.attachEvent&&!RadHelperUtils.StringStartsWith(_c,"on")){
return "on"+_c;
}else{
return _c;
}
}
},MouseEventX:function(_d){
if(_d.pageX){
return _d.pageX;
}else{
if(_d.clientX){
if(RadBrowserUtils.StandardMode){
return (_d.clientX+document.documentElement.scrollLeft);
}
return (_d.clientX+document.body.scrollLeft);
}
}
},MouseEventY:function(_e){
if(_e.pageY){
return _e.pageY;
}else{
if(_e.clientY){
if(RadBrowserUtils.StandardMode){
return (_e.clientY+document.documentElement.scrollTop);
}
return (_e.clientY+document.body.scrollTop);
}
}
},IframePlaceholder:function(_f,_10){
var _11=document.createElement("IFRAME");
_11.src="javascript:false;";
if(RadHelperUtils.IsDefined(_10)){
switch(_10){
case 0:
_11.src="javascript:void(0);";
break;
case 1:
_11.src="about:blank";
break;
case 2:
_11.src="blank.htm";
break;
}
}
_11.frameBorder=0;
_11.style.position="absolute";
_11.style.display="none";
_11.style.left="-500px";
_11.style.top="-2000px";
_11.style.height=RadHelperUtils.ElementHeight(_f)+"px";
var _12=0;
_12=RadHelperUtils.ElementWidth(_f);
_11.style.width=_12+"px";
_11.style.filter="progid:DXImageTransform.Microsoft.Alpha(style=0,opacity=0)";
_11.allowTransparency=false;
return _f.parentNode.insertBefore(_11,_f);
},ProcessIframe:function(_13,_14,_15,_16){
if(document.readyState=="complete"&&(RadBrowserUtils.IsIE55Win||RadBrowserUtils.IsIE6Win)){
if(!(RadHelperUtils.IsDefined(_13))){
return;
}
if(!RadHelperUtils.IsDefined(_13.iframeShim)){
_13.iframeShim=RadHelperUtils.IframePlaceholder(_13);
}
_13.iframeShim.style.top=(RadHelperUtils.IsDefined(_16))?(_16+"px"):_13.style.top;
_13.iframeShim.style.left=(RadHelperUtils.IsDefined(_15))?(_15+"px"):_13.style.left;
_13.iframeShim.style.zIndex=(_13.style.zIndex-1);
RadHelperUtils.ChangeDisplay(_13.iframeShim,_14);
}
},ChangeDisplay:function(_17,_18){
var obj=RadHelperUtils.GetStyleObj(_17);
if(_18!=null&&_18==true){
obj.display="";
}else{
if(_18!=null&&_18==false){
obj.display="none";
}
}
return obj.display;
},GetStyleObj:function(_1a){
if(!RadHelperUtils.IsDefined(_1a)){
return null;
}
if(_1a.style){
return _1a.style;
}else{
return _1a;
}
},ElementWidth:function(_1b){
if(!_1b){
return 0;
}
if(RadHelperUtils.IsDefined(_1b.style)){
if(RadBrowserUtils.StandardMode&&(RadBrowserUtils.IsIE55Win||RadBrowserUtils.IsIE6Win)){
if(RadHelperUtils.IsDefined(_1b.offsetWidth)&&_1b.offsetWidth!=0){
return _1b.offsetWidth;
}
}
if(RadHelperUtils.IsDefined(_1b.style.pixelWidth)&&_1b.style.pixelWidth!=0){
var _1c=_1b.style.pixelWidth;
if(RadHelperUtils.IsDefined(_1b.offsetWidth)&&_1b.offsetWidth!=0){
_1c=(_1c<_1b.offsetWidth)?_1b.offsetWidth:_1c;
}
return _1c;
}
}
if(RadHelperUtils.IsDefined(_1b.offsetWidth)){
return _1b.offsetWidth;
}
return 0;
},ElementHeight:function(_1d){
if(!_1d){
return 0;
}
if(RadHelperUtils.IsDefined(_1d.style)){
if(RadHelperUtils.IsDefined(_1d.style.pixelHeight)&&_1d.style.pixelHeight!=0){
return _1d.style.pixelHeight;
}
}
if(_1d.offsetHeight){
return _1d.offsetHeight;
}
return 0;
}};
RadHelperUtils.GetElementByID=function(_1e,id){
var res=null;
for(var i=0;i<_1e.childNodes.length;i++){
if(!_1e.childNodes[i].id){
continue;
}
if(_1e.childNodes[i].id==id){
res=_1e.childNodes[i];
}
}
return res;
};
}
if(typeof (RadBrowserUtils)=="undefined"){
var RadBrowserUtils={Version:"1.0.0",IsInitialized:false,IsOsWindows:false,IsOsLinux:false,IsOsUnix:false,IsOsMac:false,IsUnknownOS:false,IsNetscape4:false,IsNetscape6:false,IsNetscape6Plus:false,IsNetscape7:false,IsNetscape8:false,IsMozilla:false,IsFirefox:false,IsSafari:false,IsIE:false,IsIEMac:false,IsIE5Mac:false,IsIE4Mac:false,IsIE5Win:false,IsIE55Win:false,IsIE6Win:false,IsIE4Win:false,IsOpera:false,IsOpera4:false,IsOpera5:false,IsOpera6:false,IsOpera7:false,IsOpera8:false,IsKonqueror:false,IsOmniWeb:false,IsCamino:false,IsUnknownBrowser:false,UpLevelDom:false,AllCollection:false,Layers:false,Focus:false,StandardMode:false,HasImagesArray:false,HasAnchorsArray:false,DocumentClear:false,AppendChild:false,InnerWidth:false,HasComputedStyle:false,HasCurrentStyle:false,HasFilters:false,HasStatus:false,Name:"",Codename:"",BrowserVersion:"",Platform:"",JavaEnabled:false,AgentString:"",Init:function(){
if(window.navigator){
this.AgentString=navigator.userAgent.toLowerCase();
this.Name=navigator.appName;
this.Codename=navigator.appCodeName;
this.BrowserVersion=navigator.appVersion.substring(0,4);
this.Platform=navigator.platform;
this.JavaEnabled=navigator.javaEnabled();
}
this.InitOs();
this.InitFeatures();
this.InitBrowser();
this.IsInitialized=true;
},CancelIe:function(){
this.IsIE=this.IsIE6Win=this.IsIE55Win=this.IsIE5Win=this.IsIE4Win=this.IsIEMac=this.IsIE5Mac=this.IsIE4Mac=false;
},CancelOpera:function(){
this.IsOpera4=this.IsOpera5=this.IsOpera6=this.IsOpera7=false;
},CancelMozilla:function(){
this.IsFirefox=this.IsMozilla=this.IsNetscape7=this.IsNetscape6Plus=this.IsNetscape6=this.IsNetscape4=false;
},InitOs:function(){
if((this.AgentString.indexOf("win")!=-1)){
this.IsOsWindows=true;
}else{
if((this.AgentString.indexOf("mac")!=-1)||(navigator.appVersion.indexOf("mac")!=-1)){
this.IsOsMac=true;
}else{
if((this.AgentString.indexOf("linux")!=-1)){
this.IsOsLinux=true;
}else{
if((this.AgentString.indexOf("x11")!=-1)){
this.IsOsUnix=true;
}else{
this.IsUnknownBrowser=true;
}
}
}
}
},InitFeatures:function(){
if((document.getElementById&&document.createElement)){
this.UpLevelDom=true;
}
if(document.all){
this.AllCollection=true;
}
if(document.layers){
this.Layers=true;
}
if(window.focus){
this.Focus=true;
}
if(document.compatMode&&document.compatMode=="CSS1Compat"){
this.StandardMode=true;
}
if(document.images){
this.HasImagesArray=true;
}
if(document.anchors){
this.HasAnchorsArray=true;
}
if(document.clear){
this.DocumentClear=true;
}
if(document.appendChild){
this.AppendChild=true;
}
if(window.innerWidth){
this.InnerWidth=true;
}
if(window.getComputedStyle){
this.HasComputedStyle=true;
}
if(document.documentElement&&document.documentElement.currentStyle){
this.HasCurrentStyle=true;
}else{
if(document.body&&document.body.currentStyle){
this.HasCurrentStyle=true;
}
}
try{
if(document.body&&document.body.filters){
this.HasFilters=true;
}
}
catch(e){
}
if(typeof (window.status)!="undefined"){
this.HasStatus=true;
}
},InitBrowser:function(){
if(this.AllCollection||(navigator.appName=="Microsoft Internet Explorer")){
this.IsIE=true;
if(this.IsOsWindows){
if(this.UpLevelDom){
if((navigator.appVersion.indexOf("MSIE 6")>0)||(document.getElementById&&document.compatMode)){
this.IsIE6Win=true;
}else{
if((navigator.appVersion.indexOf("MSIE 5.5")>0)&&document.getElementById&&!document.compatMode){
this.IsIE55Win=true;
this.IsIE6Win=true;
}else{
if(document.getElementById&&!document.compatMode&&typeof (window.opera)=="undefined"){
this.IsIE5Win=true;
}
}
}
}else{
this.IsIE4Win=true;
}
}else{
if(this.IsOsMac){
this.IsIEMac=true;
if(this.UpLevelDom){
this.IsIE5Mac=true;
}else{
this.IsIE4Mac=true;
}
}
}
}
if(this.AgentString.indexOf("opera")!=-1&&typeof (window.opera)=="undefined"){
this.IsOpera4=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&!typeof (window.print)=="undefined"){
this.IsOpera5=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&typeof (window.print)!="undefined"&&typeof (document.childNodes)=="undefined"){
this.IsOpera6=true;
this.IsOpera=true;
this.CancelIe();
}else{
if(typeof (window.opera)!="undefined"&&typeof (document.childNodes)!="undefined"){
this.IsOpera7=true;
this.IsOpera=true;
this.CancelIe();
}
}
}
}
if(this.IsOpera7&&(this.AgentString.indexOf("8.")!=-1)){
this.CancelIe();
this.CancelOpera();
this.IsOpera8=true;
this.IsOpera=true;
}
if(this.AgentString.indexOf("firefox/")!=-1){
this.CancelIe();
this.CancelOpera();
this.IsMozilla=true;
this.IsFirefox=true;
}else{
if(navigator.product=="Gecko"&&window.find){
this.CancelIe();
this.CancelOpera();
this.IsMozilla=true;
}
}
if(navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find){
this.CancelIe();
this.CancelOpera();
this.IsNetscape6Plus=true;
this.IsMozilla=true;
}
if(navigator.product=="Gecko"&&!window.find){
this.CancelIe();
this.CancelOpera();
this.IsNetscape6=true;
}
if((navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find)||(this.AgentString.indexOf("netscape/7")!=-1||this.AgentString.indexOf("netscape7")!=-1)){
this.CancelIe();
this.CancelOpera();
this.CancelMozilla();
this.IsMozilla=true;
this.IsNetscape7=true;
}
if((navigator.vendor&&navigator.vendor.indexOf("Netscape")!=-1&&navigator.product=="Gecko"&&window.find)||(this.AgentString.indexOf("netscape/8")!=-1||this.AgentString.indexOf("netscape8")!=-1)){
this.CancelIe();
this.CancelOpera();
this.CancelMozilla();
this.IsMozilla=true;
this.IsNetscape8=true;
}
if(navigator.vendor&&navigator.vendor=="Camino"){
this.CancelIe();
this.CancelOpera();
this.IsCamino=true;
this.IsMozilla=true;
}
if(((navigator.vendor&&navigator.vendor=="KDE")||(document.childNodes)&&(!document.all)&&(!navigator.taintEnabled))){
this.CancelIe();
this.CancelOpera();
this.IsKonqueror=true;
}
if((document.childNodes)&&(!document.all)&&(!navigator.taintEnabled)&&(navigator.accentColorName)){
this.CancelIe();
this.CancelOpera();
this.IsOmniWeb=true;
}else{
if(document.layers&&navigator.mimeTypes["*"]){
this.CancelIe();
this.CancelOpera();
this.IsNetscape4=true;
}
}
if((document.childNodes)&&(!document.all)&&(!navigator.taintEnabled)&&(!navigator.accentColorName)){
this.CancelIe();
this.CancelOpera();
this.IsSafari=true;
}else{
IsUnknownBrowser=true;
}
},DebugBrowser:function(){
var _22="IsNetscape4 "+this.IsNetscape4+"\n";
_22+="IsNetscape6 "+this.IsNetscape6+"\n";
_22+="IsNetscape6Plus "+this.IsNetscape6Plus+"\n";
_22+="IsNetscape7 "+this.IsNetscape7+"\n";
_22+="IsNetscape8 "+this.IsNetscape8+"\n";
_22+="IsMozilla "+this.IsMozilla+"\n";
_22+="IsFirefox "+this.IsFirefox+"\n";
_22+="IsSafari "+this.IsSafari+"\n";
_22+="IsIE "+this.IsIE+"\n";
_22+="IsIEMac "+this.IsIEMac+"\n";
_22+="IsIE5Mac "+this.IsIE5Mac+"\n";
_22+="IsIE4Mac "+this.IsIE4Mac+"\n";
_22+="IsIE5Win "+this.IsIE5Win+"\n";
_22+="IsIE55Win "+this.IsIE55Win+"\n";
_22+="IsIE6Win "+this.IsIE6Win+"\n";
_22+="IsIE4Win "+this.IsIE4Win+"\n";
_22+="IsOpera "+this.IsOpera+"\n";
_22+="IsOpera4 "+this.IsOpera4+"\n";
_22+="IsOpera5 "+this.IsOpera5+"\n";
_22+="IsOpera6 "+this.IsOpera6+"\n";
_22+="IsOpera7 "+this.IsOpera7+"\n";
_22+="IsOpera8 "+this.IsOpera8+"\n";
_22+="IsKonqueror "+this.IsKonqueror+"\n";
_22+="IsOmniWeb "+this.IsOmniWeb+"\n";
_22+="IsCamino "+this.IsCamino+"\n";
_22+="IsUnknownBrowser "+this.IsUnknownBrowser+"\n";
alert(_22);
},DebugOS:function(){
var _23="IsOsWindows "+this.IsOsWindows+"\n";
_23+="IsOsLinux "+this.IsOsLinux+"\n";
_23+="IsOsUnix "+this.IsOsUnix+"\n";
_23+="IsOsMac "+this.IsOsMac+"\n";
_23+="IsUnknownOS "+this.IsUnknownOS+"\n";
alert(_23);
},DebugFeatures:function(){
var _24="UpLevelDom "+this.UpLevelDom+"\n";
_24+="AllCollection "+this.AllCollection+"\n";
_24+="Layers "+this.Layers+"\n";
_24+="Focus "+this.Focus+"\n";
_24+="StandardMode "+this.StandardMode+"\n";
_24+="HasImagesArray "+this.HasImagesArray+"\n";
_24+="HasAnchorsArray "+this.HasAnchorsArray+"\n";
_24+="DocumentClear "+this.DocumentClear+"\n";
_24+="AppendChild "+this.AppendChild+"\n";
_24+="InnerWidth "+this.InnerWidth+"\n";
_24+="HasComputedStyle "+this.HasComputedStyle+"\n";
_24+="HasCurrentStyle "+this.HasCurrentStyle+"\n";
_24+="HasFilters "+this.HasFilters+"\n";
_24+="HasStatus "+this.HasStatus+"\n";
alert(_24);
}};
RadBrowserUtils.Init();
};